SUBDIRS = lib

AM_CXXFLAGS = @OPENMP_CXXFLAGS@
AM_CPPFLAGS = -I$(top_srcdir)/src/libLfunction

dist_check_SCRIPTS = \
  lcalc-load-all-example-data.sh \
  lcalc-load-tau-from-file.sh \
  lcalc-riemann-zeta-zeros.sh \
  lcalc-zeta-value-100i.sh

check_PROGRAMS = \
  test_accuracy \
  test_result_vector

test_accuracy_SOURCES = test_accuracy.cc
test_accuracy_LDADD = $(top_builddir)/src/libLfunction/libLfunction.la

test_result_vector_SOURCES = test_result_vector.cc
test_result_vector_LDADD = $(top_builddir)/src/libLfunction/libLfunction.la

# Avoid the need to guess at these paths inside of each test script by
# defining some environment variables.
AM_TESTS_ENVIRONMENT = \
  export testlib="$(top_srcdir)/tests/lib"; \
  export lcalc="$(top_builddir)/src/lcalc/lcalc"; \
  export example_data="$(top_srcdir)/doc/examples/data";

TESTS = $(dist_check_SCRIPTS) $(check_PROGRAMS)

